Subject: "Paste After" Icon spinning forever

Description

Within a test-installation of TYPO3 Neos 1.0 from launchr.com | encountered the following bug.

What | did using the admin backend:

. | added a new page to my site.

. | added some new text sections and a headline.

. The | tried to move one of the text sections below another one to simply change their order of appearance on screen.
. | clicked into the text section that | wanted to move.

. I clicked the "Cut" icon (text section's utility-zone in upper right corner) for the first text section.

. I clicked into the text section that was intended to precede the text section from step 4.

. I clicked the "Paste After" icon (text section's utility-zone in upper right corner) for text section from step 6.

N o oA WO =

The "Paste After" icon changed into a spinning circle of rays and kept spinning endlessly (see attached screenshot).
The edit view of the page did not refresh.

In case this bug is not reproducable: There might be a side effect from renaming that new page's title and URL after step 2 and not
refreshing the tree view in "Navigate" to the left.

History

#1 - 2013-12-18 09:18 - Chr is

- Tracker changed from Impediment to Bug

- Project changed from Base Distribution to TYPO3.Neos
- Category deleted (Content Editing)

Moved to proper project section.

#2 - 2014-02-04 16:22 - Adrian Foder
just pasting my notes here because | had the same issue:

Moving resp. Cut/Paste doesn't stop the ajax load icon

When cutting a node and pasting it somewhere else, the paste icon transforms into a ajax load icon, while
POST http://dev.internal.acme.com/@user-afoeder?TYPO3_ExtJS_ExtDirectRequest=1& __csrfToken=a597fc383484418c8a1ff59fb1acfo5c

{"action":"TYPO3_Neos_Service_ExtDirect_V1_Controller_NodeController","method":"move","data":["/sites/content/main/text1 @user-afoeder"
,"/sites/content/main/node52f1002471035/column0/node52f0fb6746a46@user-afoeder”,"after"],"type":"rpc","tid":5}

is sent, replied with a 200 OK
{"type":"rpc","tid":5,"action":"TYPO3_Neos_Service_ExtDirect_V1_Controller_NodeController","method":"move","result":{"data":{"newNodePat
":"VsitesVcontentVmainVnode52f1002471035VcolumnOViext1 @user-afoeder"},"success":true}}

2015-08-04 1/2



but the ajax load icon doesn't stop (and the newly created content isn't injected, which is not that important IMO)

#3 - 2014-10-02 13:32 - Jonas Renggli
- Status changed from New to Closed

Can't reproduce this in Neos 1.1.2

If the problem still exists please open an issue on https://jira.typo3.org/
